Hi,<BR><BR>I&#039;ve upgraded to Win2000 SP2 and installled latest MDAC (2.7).<BR><BR>All aspx pages run OK but when ADO.NET comes accross ADO.NET code (ie. conn.open() )it gives me this error message:<BR><BR>"The .Net Data OLE DB Provider(System.Data.OleDb) requires Microsoft Data Access Components(MDAC) version 2.6 or later. Version 2.52.6019.0 was found currently installed."<BR><BR>What is it looking at and why doesn&#039;t it see the new MDAC version?<BR><BR>All sugggestion graefully received!<BR><BR>Thanks